package com.th.demo.model.system;

import java.util.Date;

public class SysMenu {
    private String id;

    private String menuPid;

    private String menuCode;

    private String menuName;

    private String menuOpenCs;

    private String menuOpenBs;

    private String menuOpenIos;

    private String menuOpenAnd;

    private Short menuApp;

    private Integer menuAppOrder;

    private String menuAppImg;

    private String addId;

    private Date addTime;

    private String modifyId;

    private Date modifyTime;

    private String cancelId;

    private Date cancelTime;

    private String cancelFlag;

    private String attr1;

    private String attr2;

    private String attr3;

    private Integer attr4;

    private Integer attr5;

    private Integer attr6;

    private String menuBsIcon;

    private Short menuShow;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getMenuPid() {
        return menuPid;
    }

    public void setMenuPid(String menuPid) {
        this.menuPid = menuPid == null ? null : menuPid.trim();
    }

    public String getMenuCode() {
        return menuCode;
    }

    public void setMenuCode(String menuCode) {
        this.menuCode = menuCode == null ? null : menuCode.trim();
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName == null ? null : menuName.trim();
    }

    public String getMenuOpenCs() {
        return menuOpenCs;
    }

    public void setMenuOpenCs(String menuOpenCs) {
        this.menuOpenCs = menuOpenCs == null ? null : menuOpenCs.trim();
    }

    public String getMenuOpenBs() {
        return menuOpenBs;
    }

    public void setMenuOpenBs(String menuOpenBs) {
        this.menuOpenBs = menuOpenBs == null ? null : menuOpenBs.trim();
    }

    public String getMenuOpenIos() {
        return menuOpenIos;
    }

    public void setMenuOpenIos(String menuOpenIos) {
        this.menuOpenIos = menuOpenIos == null ? null : menuOpenIos.trim();
    }

    public String getMenuOpenAnd() {
        return menuOpenAnd;
    }

    public void setMenuOpenAnd(String menuOpenAnd) {
        this.menuOpenAnd = menuOpenAnd == null ? null : menuOpenAnd.trim();
    }

    public Short getMenuApp() {
        return menuApp;
    }

    public void setMenuApp(Short menuApp) {
        this.menuApp = menuApp;
    }

    public Integer getMenuAppOrder() {
        return menuAppOrder;
    }

    public void setMenuAppOrder(Integer menuAppOrder) {
        this.menuAppOrder = menuAppOrder;
    }

    public String getMenuAppImg() {
        return menuAppImg;
    }

    public void setMenuAppImg(String menuAppImg) {
        this.menuAppImg = menuAppImg == null ? null : menuAppImg.trim();
    }

    public String getAddId() {
        return addId;
    }

    public void setAddId(String addId) {
        this.addId = addId == null ? null : addId.trim();
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getModifyId() {
        return modifyId;
    }

    public void setModifyId(String modifyId) {
        this.modifyId = modifyId == null ? null : modifyId.trim();
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCancelId() {
        return cancelId;
    }

    public void setCancelId(String cancelId) {
        this.cancelId = cancelId == null ? null : cancelId.trim();
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getCancelFlag() {
        return cancelFlag;
    }

    public void setCancelFlag(String cancelFlag) {
        this.cancelFlag = cancelFlag == null ? null : cancelFlag.trim();
    }

    public String getAttr1() {
        return attr1;
    }

    public void setAttr1(String attr1) {
        this.attr1 = attr1 == null ? null : attr1.trim();
    }

    public String getAttr2() {
        return attr2;
    }

    public void setAttr2(String attr2) {
        this.attr2 = attr2 == null ? null : attr2.trim();
    }

    public String getAttr3() {
        return attr3;
    }

    public void setAttr3(String attr3) {
        this.attr3 = attr3 == null ? null : attr3.trim();
    }

    public Integer getAttr4() {
        return attr4;
    }

    public void setAttr4(Integer attr4) {
        this.attr4 = attr4;
    }

    public Integer getAttr5() {
        return attr5;
    }

    public void setAttr5(Integer attr5) {
        this.attr5 = attr5;
    }

    public Integer getAttr6() {
        return attr6;
    }

    public void setAttr6(Integer attr6) {
        this.attr6 = attr6;
    }

    public String getMenuBsIcon() {
        return menuBsIcon;
    }

    public void setMenuBsIcon(String menuBsIcon) {
        this.menuBsIcon = menuBsIcon == null ? null : menuBsIcon.trim();
    }

    public Short getMenuShow() {
        return menuShow;
    }

    public void setMenuShow(Short menuShow) {
        this.menuShow = menuShow;
    }
}